commit:     ea46544c30b2f76bf00e9244dd65ccc09cdfa3fb
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  9 11:31:27 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Feb  9 11:31:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea46544c

net-fs/samba: Added net-libs/libtirpc to DEPEND.

Closes: https://bugs.gentoo.org/647002
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-fs/samba/samba-4.7.4.ebuild     | 5 +++++
 net-fs/samba/samba-4.7.5.ebuild     | 5 +++++
 net-fs/samba/samba-4.8.0_rc2.ebuild | 1 +
 3 files changed, 11 insertions(+)

diff --git a/net-fs/samba/samba-4.7.4.ebuild b/net-fs/samba/samba-4.7.4.ebuild
index eecd9a2607e..477428fd681 100644
--- a/net-fs/samba/samba-4.7.4.ebuild
+++ b/net-fs/samba/samba-4.7.4.ebuild
@@ -83,6 +83,11 @@ DEPEND="${CDEPEND}
        app-text/docbook-xsl-stylesheets
        dev-libs/libxslt
        virtual/pkgconfig
+       net-libs/libtirpc
+       || (
+               net-libs/rpcsvc-proto
+               <sys-libs/glibc-2.26[rpc(+)]
+       )
        test? (
                !system-mitkrb5? (
                        >=sys-libs/nss_wrapper-1.1.3

diff --git a/net-fs/samba/samba-4.7.5.ebuild b/net-fs/samba/samba-4.7.5.ebuild
index eb49c8229c3..981e4b7d154 100644
--- a/net-fs/samba/samba-4.7.5.ebuild
+++ b/net-fs/samba/samba-4.7.5.ebuild
@@ -83,6 +83,11 @@ DEPEND="${CDEPEND}
        app-text/docbook-xsl-stylesheets
        dev-libs/libxslt
        virtual/pkgconfig
+       net-libs/libtirpc
+       || (
+               net-libs/rpcsvc-proto
+               <sys-libs/glibc-2.26[rpc(+)]
+       )
        test? (
                !system-mitkrb5? (
                        >=sys-libs/nss_wrapper-1.1.3

diff --git a/net-fs/samba/samba-4.8.0_rc2.ebuild 
b/net-fs/samba/samba-4.8.0_rc2.ebuild
index 28420233a0a..f0c7f58ce66 100644
--- a/net-fs/samba/samba-4.8.0_rc2.ebuild
+++ b/net-fs/samba/samba-4.8.0_rc2.ebuild
@@ -82,6 +82,7 @@ DEPEND="${CDEPEND}
        ${PYTHON_DEPS}
        app-text/docbook-xsl-stylesheets
        dev-libs/libxslt
+       net-libs/libtirpc
        virtual/pkgconfig
        || (
                net-libs/rpcsvc-proto

Reply via email to